> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/62.-mutaatio-jaa-maatiloja.md).

# 62. Mutaatio: jaa maatiloja

Erätilojen jakaminen käyttäjille organisaation sisällä tai ulkoisille käyttäjille. Muutosta (mutation) sovelletaan kahdessa tapauksessa. Ensimmäinen tapa on erä "Tila"n jakaminen sähköpostilistalla.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
muutos ShareFarmsSample {
  jaaTilat(
    syöte: {
      tilaUuid:t: ["tila_uuid1", "tila_uuid2"]
      sähköpostit: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    nimi
    farmOwnership
    luontipäivä
    updatedDate
    sähköposti
  }
}

```

{% endcode %}

Ja toinen tapa on asettaa lippu 'allFarms=true' organisaation "Käyttäjien" listalle, mikä tarkoittaa, että kaikki uudet tilat organisaation sisällä ovat näiden "Käyttäjien" saatavilla.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
muutos ShareFarmsSample {
  jaaTilat(
    syöte: { 
      sähköpostit: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    nimi
    farmOwnership
    luontipäivä
    updatedDate
    sähköposti
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/62.-mutaatio-jaa-maatiloja.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
